I can't use in Firefox 64bit 51.0b4 Rated 3 out of 5 stars

It say need a plug in to use.